//
//  AsyncDispatchAppDelegate.h
//  AsyncDispatch
//
//  Created by ampatspell on 7/23/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ZRAsyncDispatch.h"


@class ZRSession, ZRPerson, ZRModelArray;

@interface AsyncDispatchAppDelegate : NSObject <NSApplicationDelegate, ZRAsyncDispatchDelegate> {
  NSWindow *window;
  ZRAsyncDispatch *dispatch;
  ZRSession *session;
  ZRModelArray *messages;
}

@property(assign) IBOutlet NSWindow *window;
@property(nonatomic, readwrite, retain) ZRSession *session;
@property(nonatomic, readwrite, retain) ZRModelArray *messages;

- (IBAction)login:(id)sender;
- (IBAction)logout:(id)sender;

- (IBAction)fetchMessages:(id)sender;
- (IBAction)reloadMessages:(id)sender;

@end
