//
//  ZRMethodImplementationType.h
//  modelsframework
//
//  Created by ampatspell on 6/27/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


typedef enum ZRMethodImplementationType {
  ZRMethodImplementationTypeNotFound = 0, // method not found
  ZRMethodImplementationTypeImplement,    // first in tree to implement method
  ZRMethodImplementationTypeOverride,     // class overrides method
  ZRMethodImplementationTypeSuper         // class does not override superclass method
} ZRMethodImplementationType;

ZRMethodImplementationType ZRClassMethodImplementationType(Class class, SEL selector);
NSString *NSStringFromZRMethodImplementationType(ZRMethodImplementationType type);
