//
//  ZRModelOperation.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/23/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZRModelOperation.h"
#import "ZRModel.h"


@implementation ZRModelOperation
@synthesize model;

- (void)dealloc
{
  self.model = nil;
  [super dealloc];
}

- (void)didSucceedWithResult:(id)result
{
  [model modelOperation:self didSucceedWithResult:result];
}

- (void)didFailWithError:(NSError *)error
{
  [model modelOperation:self didFailWithError:error];
}

#pragma mark -

- (NSString *)description
{
  return [NSString stringWithFormat:@"<%@ %p:\n"
          @"  action=%@\n"
          @"  parameters=%@\n"
          @"  model=%@\n"
          @"  target=%@ %@ %@\n"
          @">",
          [self className], 
          self,
          self.action,
          self.parameters,
          self.model,
          self.target,
          NSStringFromSelector(self.success),
          NSStringFromSelector(self.failed)];
}

@end
