//
//  ZROperation.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/23/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZROperation.h"


@implementation ZROperation
@synthesize action, parameters, target, success, failed, retryCount;

- (void)dealloc
{
  self.action     = nil;
  self.parameters = nil;
  self.target     = nil;
  [super dealloc];
}

#pragma mark -

- (void)incrementRetryCount
{
  self.retryCount += 1;
}

- (void)performTargetSelector:(BOOL)isSuccess
{
  if(target) {
    SEL selector = isSuccess ? success : failed;
    if(selector) {
      [target performSelector:selector withObject:self];      
    }
  }
}

@end
