//
//  ZRQuery.h
//  AsyncDispatch
//
//  Created by ampatspell on 7/25/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import "ZRQueryKind.h"


@interface ZRQuery : NSObject {
  ZRQueryKind kind;
  NSString *path;
  Class arrayClass;
}

- (id)initWithKind:(ZRQueryKind)kind path:(NSString *)path arrayClass:(Class)arrayClass;

@property(nonatomic, readonly, retain) ZRQueryKind kind;
@property(nonatomic, readonly, retain) NSString *path;
@property(nonatomic, readonly) Class arrayClass;

@end
