//
//  ZRQuery.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/25/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZRQuery.h"


@implementation ZRQuery
@synthesize kind, path, arrayClass;

- (id)init
{
  return [self initWithKind:nil path:nil arrayClass:nil];
}

- (id)initWithKind:(ZRQueryKind)aKind path:(NSString *)aPath arrayClass:(Class)anArrayClass
{
  if(self = [super init]) {
    kind = [aKind copy];
    path = [aPath copy];
    arrayClass = anArrayClass;
  }
  return self;
}

- (void)dealloc
{
  [kind release], kind = nil;
  [path release], path = nil;
  arrayClass = nil;
  [super dealloc];
}

@end
