//
//  ZRModelProperty.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/24/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZRModelProperty.h"
#import "ZRModelConfiguration.h"


@implementation ZRModelProperty
@synthesize name, serverName;

- (id)initWithName:(NSString *)aName 
        serverName:(NSString *)aServerName 
          forClass:(Class)aModelClass
{
  if(self = [super init]) {
    name = [aName copy];
    serverName = [aServerName copy];
    modelClass = aModelClass;
  }
  return self;
}

- (void)dealloc
{
  [name release], name = nil;
  [serverName release], serverName = nil;
  [super dealloc];
}

@end
