//
//  ZRModelStateToNSStringValueTransformer.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/24/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZRModelStateToNSStringValueTransformer.h"
#import "ZRModelState.h"


@implementation ZRModelStateToNSStringValueTransformer

+ (Class)transformedValueClass
{
  return [NSString class];
}

+ (BOOL)allowsReverseTransformation
{
  return NO;
}

- (id)transformedValue:(id)value
{
  if(![value isKindOfClass:[NSNumber class]]) {
    return nil;
  }
  
  return NSStringFromZRModelState((ZRModelState)[value intValue]);
}

@end
