//
//  ZRPerson.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/23/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZRPerson.h"
#import "ZRQueryKind.h"
#import "ZRCursorModelArray.h"


@implementation ZRPerson
@synthesize login, password, email;

+ (void)prepare
{
  [self hasProperty:@"login"];
  [self hasProperty:@"password"];
  [self hasProperty:@"email"];
  
  [self supports:ZRRouteKindLoad withPath:@"/person/get"];
  
  [self query:ZRQueryKindAll withPath:@"/person/all" arrayClass:[ZRCursorModelArray class]];
}

- (void)dealloc
{
  self.login = nil;
  self.password = nil;
  self.email = nil;
  [super dealloc];
}

@end
