//
//  ZRSession.m
//  AsyncDispatch
//
//  Created by ampatspell on 7/24/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "ZRSession.h"
#import "ZRAsyncDispatch.h"
#import "ZRPerson.h"


@implementation ZRSession
@synthesize login, password, personKey, person;

- (void)dealloc
{
  self.login = nil;
  self.password = nil;
  self.personKey = nil;
  self.person = nil;
  [super dealloc];
}

+ (void)prepare
{
  [self hasProperty:@"login"];
  [self hasProperty:@"password"];
  [self hasProperty:@"personKey"];
  
  [self supports:ZRRouteKindCreate withPath:@"/session/create"];
  [self supports:ZRRouteKindDestroy withPath:@"/session/destroy"];
}

- (void)didCreate
{
  self.person = [dispatch modelForClass:[ZRPerson class] withKey:self.personKey];
}

@end
